SET NOCOUNT ON

BEGIN TRAN

BEGIN TRY

	IF EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'W_ETL_LOJA')
	BEGIN
		DROP VIEW W_ETL_LOJA
	END

	EXEC
	('

		CREATE VIEW W_ETL_LOJA

		AS
		
			SELECT  CODIGO_FILIAL	AS CODIGO_LOJA,
					A.FILIAL		AS NOME_LOJA
			FROM LOJAS_VAREJO A
			INNER JOIN FILIAIS B		
			ON A.FILIAL = B.FILIAL 
	
	')			

	IF OBJECT_ID ('W_ETL_LOJA_VENDEDORES', 'V') IS NOT NULL 
	BEGIN
		DROP VIEW [dbo].[W_ETL_LOJA_VENDEDORES]  
	END

	EXEC('
	CREATE VIEW [DBO].[W_ETL_LOJA_VENDEDORES]

	AS  

		SELECT
			VENDEDOR
			,CODIGO_FILIAL
			,VENDEDOR_APELIDO
			,NOME_VENDEDOR
			,OPERA_CAIXA
			,COMISSAO
			,RG
			,ENDERECO
			,COMPLEMENTO
			,CIDADE
			,UF
			,CEP
			,TELEFONE
			,CPF
			,GERENTE
			,UPPER(sys.fn_varbintohexstr(CONVERT(VARBINARY(256), SENHA))) AS SENHA
			,DATA_DESATIVACAO
			,DATA_ATIVACAO
			,DATA_PARA_TRANSFERENCIA
			,DESC_CARGO
			,ACESSO_GERENCIAL
			,CHECKSUM
			,COMISSAO_CLIENTE_AUSENTE
			,ID_PERFIL
			,LX_STATUS_VENDEDOR
			,EMAIL
			,ID_VENDEDOR
		FROM LOJA_VENDEDORES')



	IF EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'W_LJ_ETL_PRODUTOS_FILIAL')
	BEGIN
		DROP VIEW W_LJ_ETL_PRODUTOS_FILIAL
	END

	EXEC('
	CREATE VIEW [dbo].[W_LJ_ETL_PRODUTOS_FILIAL]
	AS  

		SELECT DISTINCT '''' AS PRODUTO,  TP.CODIGO_TAB_PRECO, LEFT(F.FILIAL +  REPLICATE('' '', 25), 25) AS FILIAL
			FROM TABELAS_PRECO TP, FILIAIS F
	')


	IF EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'W_ETL_LOG_OMS_HISTORICO_CONSULTA')
	BEGIN
		DROP VIEW W_ETL_LOG_OMS_HISTORICO_CONSULTA
	END

	EXEC('
		CREATE VIEW [dbo].[W_ETL_LOG_OMS_HISTORICO_CONSULTA]
		AS
			SELECT 
				convert(char(19), DATA_VENDA, 120) AS DT_PESQUISA, CODIGO_FILIAL,
				TERMINAL, VENDEDOR,	PRODUTO, COR_PRODUTO, CODIGO_BARRA,
				TICKET,	LANCAMENTO_CAIXA, CEP, RETORNO_CONSULTA, DATA_VENDA
			FROM LOG_OMS_HISTORICO_CONSULTA
	')


	PRINT 'COMMIT';
	COMMIT;

END TRY
BEGIN CATCH

	PRINT 'ROLLBACK';
	ROLLBACK;

	SELECT ERROR_NUMBER() AS ErrorNumber, ERROR_MESSAGE() AS ErrorMessage

END CATCH